/**
 * Copyright (C) 2007 InterOperability Lab (IOL)
 * University of New Hampshire (UNH)
 * Durham, NH 03824
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * The name of IOL and/or UNH may not be used to endorse or promote
 * products derived from this software without specific prior
 * written permission.
 *
 * \file common/user_string.h
 * \brief Contains a user-space implementation of some special Linux string
 *        manipulation functions.
 * \author Ethan Burns
 * \date 2007-04-20
 */

#ifndef _USER_STRING_H_
#define _USER_STRING_H_

#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif				/* !_POSIX_C_SOURCE */

#define strnicmp(s1, s2, len) strncasecmp(s1, s2, len)
#define simple_strtol(nptr, endptr, base) strtol(nptr, endptr, base)

#endif				/* !_USER_STRING_H_ */
/* vi: set tabstop=8 textwidth=78: */
