/**
 * Copyright (c) 2007-2008 UNH InterOperability Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * The name IOL and/or UNH may not be used to endorse or promote
 * products derived from this software without specific prior
 * written permission.
 *
 * \file debugfs.h
 *
 * \author Ethan Burns
 * \date 2008-05-06
 */

#ifndef _ISER_DEBUGFS_H_
#define _ISER_DEBUGFS_H_
#if defined(CONFIG_DEBUG_FS)

#include <linux/debugfs.h>

struct dentry *debugfs_create_atomic_t(const char *name, mode_t mode,
				       struct dentry *parent,
				       atomic_t *value);

#endif /* CONFIG_DEBUG_FS */
#endif /* !_ISER_DEBUGFS_H_ */
