#
# Copyright (c) 2007-2008 UNH InterOperability Lab
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
#
# The name IOL and/or UNH may not be used to endorse or promote
# products derived from this software without specific prior
# written permission.
#

datamover_obj+=datamover/iser_conn.o
datamover_obj+=datamover/iser_dto.o
datamover_obj+=datamover/iser_global.o
datamover_obj+=datamover/iser_memory.o
datamover_obj+=datamover/iser_mod.o
datamover_obj+=datamover/iser_ofa.o
datamover_obj+=datamover/iser_ofa_user.o
datamover_obj+=datamover/iser_pdu.o
datamover_obj+=datamover/iser_target.o
datamover_obj+=datamover/iser_task.o
datamover_obj+=datamover/iser_utils.o
datamover_obj+=datamover/iser_x86.o
datamover_obj+=datamover/iser_initiator.o

CFLAGS+=-Idatamover/include
CFLAGS+=-DRDMA_MODE

ifeq ($(VERBS), ofa)
#
# These flags are required for OFA's userspace RDMACM.
#
TARGET_LIBS+=-libverbs
TARGET_LIBS+=-lrdmacm
INITIATOR_LIBS+=-libverbs
INITIATOR_LIBS+=-lrdmacm
endif

ifeq ($(VERBS), osc)
#
# These flags are required for OSC's software iWARP.
#
CFLAGS+=-DOSC_IWARP
TARGET_LIBS+=-liwarp
TARGET_LIBS+=-lverbs
INITIATOR_LIBS+=-liwarp
INITIATOR_LIBS+=-lverbs
endif
