/*
 * Copyright (c) 2004, 2005, 2006 Voltaire, Inc. All rights reserved.
 * Copyright (c) 2007-2008 UNH InterOperability Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * The name IOL and/or UNH may not be used to endorse or promote
 * products derived from this software without specific prior
 * written permission.
 */

#ifndef __ISER_PLATFORM_H__
#define __ISER_PLATFORM_H__

#ifndef __KERNEL__
#include <stdint.h>
#endif				/* !__KERNEL__ */

void *iser_platform_pci_addr(void *);
uint64_t iser_platform_read_cpu_ticks(void);

#ifdef ISER_INITIATOR
#define MEM_ALLOC_FLAG GFP_KERNEL | __GFP_NOFAIL
#else
#define MEM_ALLOC_FLAG GFP_KERNEL
#endif

#endif				/* __ISER_PLATFORM_H__ */
