#ifndef _DO_SCSI_COMMAND_H_
#define _DO_SCSI_COMMAND_H_

/**
 * The total length (in bytes) of data transferred by read and write
 * commands over a repeat loop.
 */
extern unsigned long long total_data_xfer_len;

/* do_scsi_command
 *
 * uses "argc" tokens in "argv" to
 * create a SCSI CDB and accompanying info and hands it off to
 * iscsi_initiator_queuecommand() for execution by the user-space
 * initiator.
 * returns 1 to exit, 0 otherwise (error or ok)
 */
int do_scsi_command( int argc, char *argv[], int repc, int repv[] );
#endif /* !_DO_SCSI_COMMAND_H_ */
